Skip to main content
GET
/
crawl
/
{id}
/
pages
List crawled pages
curl --request GET \
  --url https://api.open.cx/crawl/{id}/pages \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.open.cx/crawl/{id}/pages"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.open.cx/crawl/{id}/pages', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "total": 123,
  "page": 123,
  "limit": 123,
  "total_pages": 123,
  "has_next_page": true,
  "has_prev_page": true,
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "datasource_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "url": "<string>",
      "title": "<string>",
      "sync_status": "<string>",
      "last_synced_at": "2023-11-07T05:31:56Z",
      "error_message": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}
{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

The website datasource ID

Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

page
integer
default:1
Required range: 1 <= x <= 9007199254740991
limit
integer
default:50
Required range: 1 <= x <= 100
sync_status
enum<string>
Available options:
pending,
synced,
error,
excluded

Response

Default Response

total
number
required
page
number
required
limit
number
required
total_pages
number
required
has_next_page
boolean
required
has_prev_page
boolean
required
data
object[]
required